ofbiz-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacques Le Roux (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (OFBIZ-6916) Upgrade Axis2 to 1.7.1
Date Mon, 07 Mar 2016 21:48:40 GMT

     [ https://issues.apache.org/jira/browse/OFBIZ-6916?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jacques Le Roux updated OFBIZ-6916:
-----------------------------------
    Summary: Upgrade Axis2 to 1.7.1  (was: Upgrade Axis2 to 1.7.0)

> Upgrade Axis2 to 1.7.1
> ----------------------
>
>                 Key: OFBIZ-6916
>                 URL: https://issues.apache.org/jira/browse/OFBIZ-6916
>             Project: OFBiz
>          Issue Type: Sub-task
>          Components: framework
>    Affects Versions: Trunk
>            Reporter: Jacques Le Roux
>            Assignee: Jacques Le Roux
>
> With OFBIZ-5801 I recently upgraded Axis2 to 1.6.3. But it still uses commons-httpclient-3.1
which is not only deprecated but also faces a number of vulnerabilties:
> https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-5262
> https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-3577
> https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-6153
> This will also help to resolve OFBIZ-6755 (passport component)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message